Name:           python-pytoolconfig
Version:        1.3.1
Release:        %mkrel 3
Summary:        Python tool configuration
Group:          Development/Python

License:        LGPLv3
URL:            https://github.com/bageljrkhanofemus/pytoolconfig
Source:         %{pypi_source pytoolconfig}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Python Tool Configuration

The goal of this project is to manage configuration for python tools, such as 
rope and add support for a pyproject.toml configuration file.}


%description %_description

%package -n     python3-pytoolconfig
Summary:        %{summary}

%description -n python3-pytoolconfig %_description

%pyproject_extras_subpkg -n python3-pytoolconfig validation global doc

%prep
%autosetup -p1 -n pytoolconfig-%{version}


%generate_buildrequires
%pyproject_buildrequires -x validation,global,doc
 

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytoolconfig


%check
%pytest -v


%files -n python3-pytoolconfig -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.3.1-3.mga10
+ Revision: 2240800
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.3.1-2.mga10
+ Revision: 2157398
- rebuild for python3.13

* Wed Apr 03 2024 papoteur <papoteur> 1.3.1-1.mga10
+ Revision: 2054205
- new version 1.3.1

* Sun Jan 21 2024 papoteur <papoteur> 1.3.0-1.mga10
+ Revision: 2033051
- new version 1.3.0
- rebuild again for python 3.12
- remove unuseful BR

* Thu Nov 09 2023 papoteur <papoteur> 1.2.6-1.mga10
+ Revision: 2005342
- new 1.2.6

* Wed Sep 06 2023 papoteur <papoteur> 1.2.5-2.mga10
+ Revision: 1984732
- add subpackages

* Tue Sep 05 2023 papoteur <papoteur> 1.2.5-1.mga10
+ Revision: 1984534
- Imported as dependance of python-rope

